! Programa que lê N pares de dois números inteiros positivos e, para cada par de 
! números lidos, imprime o MDC - Máximo Divisor Comum entre eles. 
program minimo_divisor
	implicit none
    integer dividendo, divisor, resto, N, cont

    write (*, *) "Programa que le N pares de dois numeros inteiros e, para cada par de" 
    write (*, *) "numeros lidos, imprime o MDC - Maximo Divisor Comum entre eles.  " 
    write (*, *) 
    write(*,*) "Informe o valor de N"
    read (*,*) N

    do cont = 1, N, 1
      write (*, *) " Digite dois numeros inteiros:"
      read  (*, *) dividendo, divisor
  
      resto = mod(dividendo, divisor)
      do while (resto /= 0)
        dividendo  = divisor
        divisor  = resto
        resto = mod(dividendo, divisor)      
      end do  
  
      write (*, *) "o MDC eh ", divisor;     
    end do
    
	stop
end program minimo_divisor